FUNCTION create_datestrings,julian_dates
;
DEBUG = 0
;
num_dates    = n_elements(julian_dates)
date_strings = strarr(num_dates)
;
if(DEBUG eq 1) then begin
  for i=0,num_dates-1,1 do begin
    print,i,julian_dates(i)
  endfor
endif
;
CALDAT,julian_dates,months,days,years
;
for idate=0,num_dates-1,1 do begin
  if(julian_dates(idate) eq 0) then begin
    date_strings(idate) = 'no date set'
  endif else begin
    if(days(idate) lt 10) then begin
      day_str = strcompress('0'+string(days(idate)),/REMOVE_ALL)
    endif else begin
      day_str = strcompress(string(days(idate)),/REMOVE_ALL)
    endelse
    if(months(idate) lt 10) then begin
      month_str = strcompress('0'+string(months(idate)),/REMOVE_ALL)
    endif else begin
      month_str = strcompress(string(months(idate)),/REMOVE_ALL)
    endelse
    year_str = strcompress(string(years(idate)),/REMOVE_ALL)
    date_strings(idate) = strcompress(month_str+'/'+day_str+'/'+year_str,/REMOVE_ALL)
  endelse
endfor
;
RETURN,date_strings
;
end