FUNCTION check_specpr_file_size,specprfile,FILE_SIZE=file_size
;
DEBUG = 0
SPECPR_RECORDLENGTH = 1536
RECORD_LIMIT        = 200000
;
test_specpr_info = FILE_INFO(specprfile)
;
file_size = test_specpr_info.size
;
if(DEBUG ge 1) then begin
  help,test_specpr_info
  print,'SPECPR file = ',specprfile
  print,'Size in bytes = ',file_size
endif
;
remainder = file_size MOD SPECPR_RECORDLENGTH
number_records = (file_size/SPECPR_RECORDLENGTH) - 1
;
if(remainder eq 0 and number_records lt RECORD_LIMIT) then begin
  if(DEBUG ge 1) then print,'Number of records = ',number_records
  RETURN,1      ; FILE HAS SIZE THAT IS A MULTIPLE OF SPECPR_RECORDLENGTH
endif else begin
  RETURN,0      ; NOT THE CORRECT SIZE TO BE A SPECPR FILE
endelse
;
end