;-----------------------------------------------------------------
PRO widget_specpr_text_exit,event
widget_control,event.top,/DESTROY
end


;------------------------------------------------------------------------
PRO widget_specpr_text_cleanup,tlb
widget_control,tlb,GET_UVALUE=pstate
ptr_free,pstate
end

;------------------------------------------------------------------------
PRO widget_specpr_text,text_str,TITLE_STR=title_str,GROUP_LEADER=group_leader
;
;
;
DEBUG =0
OS_TYPE = !VERSION.OS_FAMILY
;
case OS_TYPE of
  'Windows': begin
    font       = 'courier*8'
  end
  'unix':begin
    font       = '-adobe-courier-medium-r-normal--12-120-75-75-m-70-hp-roman8'
  end
endcase
;
pad_str = '                                                                                                        '
num_strings    = n_elements(text_str)
string_lengths = strlen(text_str)
num_chars      = max(string_lengths)
;
if keyword_set(GROUP_LEADER) then do_groupleader=1 else do_groupleader=0
;
if(DEBUG eq 1) then begin
  print,text_str
  print,'Number of array elements in input string = ',num_strings
  print,'Max number of characters in input string array = ',num_chars
endif
;
if keyword_set(TITLE_STR) then begin
  base_title = title_str
  title_str  = title_str; + pad_str
endif else begin
  base_title = 'widget_specpr_text'
  title_str  = 'Text Information';+pad_str
endelse
;
if(do_groupleader eq 1) then begin
  tlb = Widget_Base(TITLE=base_title,UNAME='tlb',$
                    COLUMN=1,MBAR=menubase,XPAD=1,YPAD=1,UVALUE=-1,$
                    GROUP_LEADER=group_leader)
endif else begin
  tlb = Widget_Base(TITLE=base_title,UNAME='tlb',$
                    COLUMN=1,MBAR=menubase,XPAD=1,YPAD=1,UVALUE=-1)
endelse
;
LabelID = widget_label(tlb,VALUE=title_str)
TextID  = widget_text(tlb,VALUE=text_str,SCROLL=1,$
                          XSIZE=num_chars,$
                          YSIZE=num_strings+1,$
                          FONT=font)
;
Widget_Control, /REALIZE, tlb
;
    state={currDir:'c:/'}
;
;SET A POINTER TO THE STATE STRUCTURE AS THE UVALUE OF THE TLB
;
pstate = ptr_new(state,/NO_COPY)
widget_control,tlb,SET_UVALUE=pstate
;
; CALL XMANAGER
;
xmanager,'widget_specpr_text',tlb,$
 cleanup='widget_specpr_text_cleanup',/NO_BLOCK
;
end